## cd-boot-images-riscv64 5

=== debian/changelog ===
cd-boot-images-riscv64 (5) jammy; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu7.

 -- dann frazier <dannf@ubuntu.com>  Fri, 15 Apr 2022 16:05:39 -0600

cd-boot-images-riscv64 (4) jammy; urgency=medium

  * Add the gadget.yaml file we use for creating the installer disk
  * Pre-bundle u-boot SiFive unmatched loader images to the installer, as this
    is the main platform we support right now

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 13 Apr 2022 18:34:16 +0200

cd-boot-images-riscv64 (3) jammy; urgency=medium

  * Fix loading grub.cfg from live installer image:
    Identify boot partitition by label 'live-media'. (LP: #1966899)
  * Add file dtb/README to indicate where to place device-trees for U-Boot.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 29 Mar 2022 17:13:59 +0200

cd-boot-images-riscv64 (2) jammy; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu6.
  * Bump compat to 13.
  * Fixup lintian override for jammy lintian.
  * Declare Rules-Requires-Root no.
  * Bump Standards-Version.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 29 Mar 2022 12:11:03 +0100

cd-boot-images-riscv64 (1) jammy; urgency=medium

  [ Heinrich Schuchardt ]
  * Provide an assembled boot image for debian-cd and ubuntu-image
    (LP: #1960216)

  [ Łukasz 'sil2100' Zemczak ]
  * Fix debian/*/lintian-overrides for riscv64, bump debian/copyright.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 10 Mar 2022 17:17:34 +0100
