=== debian/control ===
Source: cd-boot-images-riscv64
Section: misc
Priority: optional
Maintainer: Heinrich Schuchardt <heinrich.schuchardt@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
 dosfstools,
 mtools,
 grub-efi-riscv64-bin (= 2.06-2ubuntu7) [riscv64],
 u-boot-sifive [riscv64],
 python3-apt,
Standards-Version: 4.6.0.1
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/cd-boot-images-riscv64/+git/cd-boot-images-riscv64/+ref/riscv64
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/cd-boot-images-riscv64 -b riscv64
Rules-Requires-Root: no
XS-Build-Indep-Architecture: riscv64

Package: cd-boot-images-riscv64
Architecture: all
Built-Using: ${Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RISC-V images for debian-cd and ubuntu-image
 Provide a RISC-V images for debian-cd and ubuntu-image.
 .
 Trees of bootloader components are provided together with a sample
 xorriso command to use.
 .
 In addition to the provided files, grub.cfg has to be provided by
 the consumer of these products.
 .
 This package must be rebuilt whenever grub-efi-riscv64-bin is updated.
