## cd-boot-images-riscv64 5.2

=== debian/changelog ===
cd-boot-images-riscv64 (5.2) jammy; urgency=medium

  * Rebuild against latest grub2 and u-boot (LP: #2004164).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 06 Feb 2023 17:25:27 +0100

cd-boot-images-riscv64 (5.1) jammy; urgency=medium

  * meta/gadget.yaml: use loader1 and loader2 instead of their capitalized
    versions for the u-boot partitions. This is then consistent with our
    preinstalled images (LP: #1982571).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 22 Jul 2022 12:33:07 +0200
