## cd-boot-images-riscv64 5.3

=== debian/changelog ===
cd-boot-images-riscv64 (5.3) jammy; urgency=medium

  * No-change rebuild with latest u-boot-sifive. (LP: #2053072)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 14 Feb 2024 13:43:23 +0530
