=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dosfstools,
  mtools,
- grub-efi-riscv64-bin (= 2.06-2ubuntu7) [riscv64],
+ grub-efi-riscv64-bin (= 2.06-2ubuntu7.2) [riscv64],
  u-boot-sifive [riscv64],
  python3-apt,
 Standards-Version: 4.6.0.1
