## cd-boot-images-riscv64 7

=== debian/changelog ===
cd-boot-images-riscv64 (7) kinetic; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu12.

 -- Steve Langasek <vorlon@debian.org>  Tue, 20 Sep 2022 20:30:16 +0000

cd-boot-images-riscv64 (6) kinetic; urgency=medium

  * meta/gadget.yaml: use loader1 and loader2 instead of their capitalized
    versions for the u-boot partitions. This is then consistent with our
    preinstalled images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 17 May 2022 15:33:30 +0200
