## cd-boot-images-riscv64 8

=== debian/changelog ===
cd-boot-images-riscv64 (8) lunar; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu16.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Apr 2023 08:47:13 -0700
