## cd-boot-images-riscv64 9

=== debian/changelog ===
cd-boot-images-riscv64 (9) mantic; urgency=medium

  * Rebuild against grub2 2.12~rc1-4ubuntu1 and
    u-boot 2023.07+dfsg-1ubuntu1 with OpenSBI 1.3 (LP: #2033071)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 25 Aug 2023 15:45:12 +0200
