## cd-boot-images-riscv64 10

=== debian/changelog ===
cd-boot-images-riscv64 (10) mantic; urgency=medium

  * Rbuild against grub2 2.12~rc1-10ubuntu4 and u-boot 2023.07+dfsg-1ubuntu2
  * Add a version restriction to the u-boot-sifive dependency so we do not
    accidentally pull in newer versions when we think we only rebuild against
    grub; and so we can track it using unsat build-depends.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 04 Oct 2023 10:08:04 +0200
