=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  debhelper-compat (= 13),
  dosfstools,
  mtools,
- grub-efi-riscv64-bin (= 2.12~rc1-4ubuntu2) [riscv64],
- u-boot-sifive [riscv64],
+ grub-efi-riscv64-bin (= 2.12~rc1-10ubuntu4) [riscv64],
+ u-boot-sifive (= 2023.07+dfsg-1ubuntu2) [riscv64],
  python3-apt,
 Standards-Version: 4.6.0.1
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/cd-boot-images-riscv64/+git/cd-boot-images-riscv64/+ref/riscv64
