## cd-boot-images-riscv64 12

=== debian/changelog ===
cd-boot-images-riscv64 (12) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu7 and u-boot 2024.01+dfsg-1ubuntu5
    (LP: #2062166)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 18 Apr 2024 12:51:41 +0200

cd-boot-images-riscv64 (11) noble; urgency=medium

  * Rebuild against grub-efi-riscv64-bin v2.12-1ubuntu1 and
    u-boot-sifive v2024.01+dfsg-1ubuntu1.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 14 Feb 2024 02:24:58 +0530
