## cd-boot-images-riscv64 12.1

=== debian/changelog ===
cd-boot-images-riscv64 (12.1) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu7.1 and u-boot 2024.01+dfsg-1ubuntu5.1
    (LP: #2062166)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 27 Jan 2025 14:10:02 +0000
