## cd-boot-images-riscv64 12.2

=== debian/changelog ===
cd-boot-images-riscv64 (12.2) noble; urgency=medium

  [ Adriano Cordova ]
  * Use "echo 'search.file /.disk/info root' > tree/EFI/boot/grub.cfg"
    to find the correct rootfs. (LP: #2104572)

  [ Mate Kukri ]
  * build against grub2 2.12-1ubuntu7.3

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 07 May 2025 15:18:26 +0100
