=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dosfstools,
  mtools,
- grub-efi-riscv64-bin (= 2.12-1ubuntu7.1) [riscv64],
+ grub-efi-riscv64-bin (= 2.12-1ubuntu7.3) [riscv64],
  u-boot-sifive (= 2024.01+dfsg-1ubuntu5.1) [riscv64],
  python3-apt,
 Standards-Version: 4.6.0.1
