## cd-boot-images-riscv64 12.3

=== debian/changelog ===
cd-boot-images-riscv64 (12.3) noble; urgency=medium

  * Rebuild against u-boot-sifive 2025.01-0ubuntu0.24.04.2 (LP: #2118787)

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 29 Jul 2025 15:28:08 +0100
