=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dosfstools,
  mtools,
  grub-efi-riscv64-bin (= 2.12-1ubuntu7.3) [riscv64],
- u-boot-sifive (= 2024.01+dfsg-1ubuntu5.1) [riscv64],
+ u-boot-sifive (= 2025.01-0ubuntu0.24.04.2) [riscv64],
  python3-apt,
 Standards-Version: 4.6.0.1
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/cd-boot-images-riscv64/+git/cd-boot-images-riscv64/+ref/riscv64
