=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 	  --format 'riscv64-efi' \
 	  $(CD_MODULES)
 	
-	echo 'search.fs_label live-media root' > tree/EFI/boot/grub.cfg
+	echo 'search.file /.disk/info root' > tree/EFI/boot/grub.cfg
 	echo 'set prefix=($$root)'\''/boot/grub'\''' >> tree/EFI/boot/grub.cfg
 	echo 'configfile $$prefix/grub.cfg' >> tree/EFI/boot/grub.cfg
