## cd-boot-images-riscv64 15

=== debian/changelog ===
cd-boot-images-riscv64 (15) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu5 (LP: #2078307)

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 24 Sep 2024 15:24:18 +0100

cd-boot-images-riscv64 (14) oracular; urgency=medium

  * Rebuild against u-boot-sifive 2024.01+dfsg-5ubuntu2

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Sep 2024 15:53:05 +0000

cd-boot-images-riscv64 (13) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu4 (LP: #2080011)

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 18 Sep 2024 11:45:58 +0100
